Core - Bug # 40155

Task # 40095 (Resolved): Move core to namespaces

Status: Closed Priority: Must have
Author: Nico de Haen Category:

Created: 2012-08-25 Assigned To:

Updated: 2012-08-26 Due date:

TYPOS3 Version: 6.0

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subject: browse_links.php instantiates wrong class namespace

Description

typo3/browse_links.php contains:

makelnstance('SC_TYPO3W\CMS\\Recordlist\Browser\ElementBrowser');

which should be

makelnstance('TYPO3\CMS\\Recordlist\\Browser\\ElementBrowser');

| suppose
and then there is a call to $OBE->main()
which causes a fatal error, since the ElementBrowser class does not have a method named main()

Parent task: #40095
(Can't access that field here in bugtracker)

Related issues:
duplicates Core - Bug # 40203: Namespace: Element Browser Resolved

2012-08-25

History

#1 - 2012-08-25 09:04 - Christian Kuhn
- Parent task set to #40095

#2 - 2012-08-25 11:45 - Steffen Gebert
- Status changed from New to Accepted

#3 - 2012-08-26 11:42 - Christian Kuhn
- Status changed from Accepted to Closed
- % Done changed from 0 to 100

fixed with #40203
